html, body {
    overflow-x: hidden;
}

body.modal-container {
    padding: 0 !important;
}

.sticky-button {
    position: fixed;
    top: 50%;
    right: -29px;
    /* Ensure it is right-aligned */
    transform: rotate(-0deg);
    transform-origin: center center;
    z-index: 999999;
    /* Keeps it above other content */
}

.sticky-button button,
.sticky-button span {
    transform: rotate(-90deg);
    transform-origin: center center;
    border-radius: 30px;
    padding: 15px 20px;
    font-size: 16px;
    color: #fff;
}

.animated-up-down {
    opacity: 0;
    transform: translateY(20px);
    transition: opacity 1s ease-out, transform 1s ease-out;
    /* margin: 50px;
    padding: 50px;
    background: #ffffff;
    border-radius: 10px;
    box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1); */
}

.animated-up-down.is-visible {
    opacity: 1;
    transform: translateY(0);
}

.animated-right-left {
    opacity: 0;
    transform: translateX(100px);
    transition: opacity 0.5s ease-out, transform 0.5s ease-out;
    /* margin: 50px;
    padding: 50px;
    background: #ffffff;
    border-radius: 10px;
    box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1); */
}

.animated-right-left.is-visible {
    opacity: 1;
    transform: translateX(0);
}

.animated-left-right {
    opacity: 0;
    transform: translateX(-100px);
    transition: opacity 0.5s ease-out, transform 0.5s ease-out;
    /* margin: 50px;
    padding: 50px;
    background: #ffffff;
    border-radius: 10px;
    box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1); */
}

.animated-left-right.is-visible {
    opacity: 1;
    transform: translateX(0);
}

.middle-text-section {
    vertical-align: middle;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
}

header {
    box-shadow: 0px 0px 10px 0px #ccc;
}

footer a:hover,
footer a:hover span {
    color: #fff !important;
}

.gallery .group:hover .group-hover\:top-\[35\%\] {
    top: 50%;
}

.image-animation-box {
    position: relative;
    margin: auto;
    overflow: hidden;
}

.image-animation {
    max-width: 100%;
    transition: all 0.3s;
    display: block;
    width: 100%;
    height: auto;
    transform: scale(1);
    cursor: pointer;
}

.image-animation:hover {
    transform: scale(1.1);
}


.top-bar i {
    color: #fff;
}

.top-bar a:hover {
    color: #fff;
}

.font-size-16 {
    font-size: 16px;
}

.gallery .button.active {
    color: #fff;
    background-color: #000;
}

.gallery .button.active:hover {
    background-color: #000;
}

.gallery .button {
    color: #000;
    background-color: #fff;
    border: 1px solid #04567c;
    padding: 7px 50px;
    border-radius: 5px;
    font-weight: normal;
    font-size: 18px;
}

.gallery .button:hover {
    background-color: #eee;
}

h1,
h2,
h3,
h4,
h5,
h6,
p,
body {
    color: #0e0f0f;
}

.sticky-whatsapp-button {
    bottom: 40px;
    background: #25D366;
    color: #fff;
    padding: 5px 20px;
    width: auto;
    border-radius: 50px;
    font-size: 1.15rem;
}

.sticky-whatsapp-button i {
    margin-right: 8px;
}

.call-me-button {
    bottom: 105px;
    color: #fff;
    padding: 5px 20px;
    width: auto;
    border-radius: 50px;
    font-size: 1.15rem;
}

.call-me-button i {
    margin-right: 8px;
}

/* Container for WhatsApp button */
.whatsapp-button {
    display: flex;
    align-items: center;
    background-color: #25d366;
    color: white;
    padding: 10px;
    border-radius: 25px;
    cursor: pointer;
    transition: all 0.5s ease-in-out;
    position: fixed;
    bottom: 20px;
    right: 20px;
    overflow: hidden;
    width: 50px;
    /* Initially set the width to only fit the icon */
    height: 50px;
    padding-left: 12px;
}

/* WhatsApp icon styling */
.whatsapp-button i {
    font-size: 24px;
    margin: auto;
    /* Center icon initially */
}

/* Hidden text initially */
.whatsapp-text {
    margin-left: 0px;
    white-space: nowrap;
    opacity: 0;
    /* Initially hidden */
    transition: opacity 0.3s ease-in-out, transform 0.5s ease-in-out;
    transform: translateX(20px);
    /* Initially push text out to the right */
}

/* On hover, expand width and show text */
.whatsapp-button:hover {
    width: 200px;
    /* Expand the width to fit the text */
}

.whatsapp-button:hover .whatsapp-text {
    opacity: 1;
    /* Make text visible */
    transform: translateX(0);
    /* Slide text in from the right */
}

/* Container for Call me button */
.callme-button {
    display: flex;
    align-items: center;
    color: white;
    padding: 10px;
    border-radius: 25px;
    cursor: pointer;
    transition: all 0.5s ease-in-out;
    position: fixed;
    bottom: 80px;
    right: 20px;
    overflow: hidden;
    width: 50px;
    /* Initially set the width to only fit the icon */
    height: 50px;
    padding-left: 14px;
}

/* callme icon styling */
.callme-button i {
    font-size: 24px;
    margin: auto;
    /* Center icon initially */
}

/* Hidden text initially */
.callme-text {
    margin-left: 10px;
    white-space: nowrap;
    opacity: 0;
    /* Initially hidden */
    transition: opacity 0.3s ease-in-out, transform 0.5s ease-in-out;
    transform: translateX(20px);
    /* Initially push text out to the right */
}

/* On hover, expand width and show text */
.callme-button:hover {
    width: 120px;
    /* Expand the width to fit the text */
}

.callme-button:hover .callme-text {
    opacity: 1;
    /* Make text visible */
    transform: translateX(0);
    /* Slide text in from the right */
}

.highlight-button button:hover {
    background-color: #000;
    color: #fff;
}

/* Base animation element */
.animation-element {
    opacity: 0;
    position: relative;
    transition: all 500ms linear;
}

/* Animation element sliding left */
.animation-element.slide-left {
    transform: translateX(-100px);
}

.animation-element.slide-left.in-view {
    opacity: 1;
    transform: translateX(0);
}

/* Animation element sliding right */
.animation-element.slide-right {
    transform: translateX(100px);
}

.animation-element.slide-right.in-view {
    opacity: 1;
    transform: translateX(0); 
}

/* Animation slide left styled for testimonials */
.testimonial .animation-element.slide-left {
    transform: translateX(-50px);
}

.testimonial .animation-element.slide-left.in-view {
    opacity: 1;
    transform: translateX(0);
}

.c-pt-1{ padding-top: 1rem; }
.c-pb-1{ padding-bottom: 1rem; }

.font-5{ font-size: 5rem; }
.font-4{ font-size: 4rem; }
.font-3{ font-size: 3rem; }
.font-2{ font-size: 2rem; }
.font-1{ font-size: 1rem; }

.font-15{ font-size: 1.5rem; }



@media (max-width: 768px) {
    .animation-element.slide-right {
        transform: translateX(100px); /* Reduce translation on mobile */
    }
    
    .mobile-icon{ display: none; }
    .desktop-hide{ display: none; }
    .mobile-header .logo-area { margin-bottom: 0px; margin-top: 0px; }
    .mobile-header .logo-area img.logo-width{ width: 95px; }
    .m-pt-300px { padding-top : 0.75rem; }
    .m-pb-100px { padding-bottom: 0.75rem; }
    
    .m-pt-1{ padding-top: 1rem; }
    .m-pt-15{ padding-top: 1.5rem; }
    
    
    .m-pb-0{ padding-bottom : 0px; }
    .m-pb-1{ padding-bottom: 1rem; }
    .m-pb-2{ padding-bottom : 2rem; }
    .m-pb-3{ padding-bottom : 3rem; }
    .m-pb-4{ padding-bottom : 4rem; }
    .m-pb-5{ padding-bottom : 5rem; }
    
    .m-py-0{ padding-top: 0px; padding-bottom: 0px; }
    .m-font-5{ font-size: 5rem; }
    .m-font-4{ font-size: 4rem; }
    .m-font-3{ font-size: 3rem; }
    .m-font-2{ font-size: 2rem; }
    .m-font-1{ font-size: 1rem; }
    .counter-box{ display: inline-block; }
    .counter-box .box{ width: 45%; display: inline-block; }
    .m-mb-0px{ margin-bottom: 0px; }
    .button-plan .box {width: 47%; display: inline-block; font-size: 12px; }
    .m-pt-10px{ padding-bottom: 1.625rem; }
    .m-mb-1{margin-bottom : 1rem; }
    
    .m-mx{ margin: 1rem 2.2rem 1rem 2.2rem}
    
    
    
}

.plyr__video-embed, .plyr__video-wrapper--fixed-ratio {
    aspect-ratio: 16 / 16 !important;
}
video, .gslide-media.gslide-video {
    width: 100% !important;
    max-width: 100% !important;
    margin: 0;
}



/* Animation End*/

.more-text {
    display: none;
}

.text-justify {
    text-align: justify;
}

.toggle-more {
    color: #4779ab;
    cursor: pointer;
    text-decoration: underline;
}

span.invalid-feedback {
    color: #f00;
    font-weight: 100;
    font-size: 13px;
}

.is-invalid {
    border-color: #f00;
}

.relative.is-invalid span.icon-is-invalid {
    top: 25%;
}

.alert {
    padding: 15px;
    margin-bottom: 20px;
    border: 1px solid transparent;
    border-radius: 4px;
}

.alert-success {
    color: #3c763d;
    background-color: #dff0d8;
    border-color: #d6e9c6;
}

.alert-danger {
    color: #a94442;
    background-color: #f2dede;
    border-color: #ebccd1;
}

input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    margin: 0;
}

.loader {
    border: 2px solid #f3f3f3;
    border-radius: 50%;
    border-top: 2px solid #3498db;
    width: 20px;
    height: 20px;
    -webkit-animation: spin 2s linear infinite;
    /* Safari */
    animation: spin 2s linear infinite;
}

/* Safari */
@-webkit-keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
    }
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}
